import { BaseModel } from "./base.model";

export class Partner extends BaseModel {

    public name: string;
    public phone: string;
    public street: string;
    public partner_latitude: number;
    public employee: boolean;
    public is_company: boolean;
    public email: string;
    public opportunity_count: number;
    public city: string;
    public street2: string;
    public opportunity_ids: Array<any>;
    public supplier: boolean;
    public partner_longitude: number;
    public customer: boolean;
    public image_medium: string;
    public mobile: string;
    public image_small: string;
    public commercial_partner_id: number;

    constructor() {
        super();

        this.name = null;
        this.phone = null;
        this.street = null;
        this.partner_latitude = 0;
        this.employee = false;
        this.is_company = false;
        this.email = null;
        this.opportunity_count = 0;
        this.city = null;
        this.street2 = null;
        this.opportunity_ids = [];
        this.supplier = false;
        this.partner_longitude = 0;
        this.customer = false;
        this.image_medium = null;
        this.mobile = null;
        this.image_small = null;
        this.commercial_partner_id = 0;
    }
}