import { BaseModel } from "./base.model";

export class SaleOrderLine extends BaseModel {

    public discount: number;
    public display_name: string;
    public invoiced: boolean;
    public invoice_lines: Array<any>;
    public name: string;
    public order_id: number;
    public order_partner_id: number;
    public price_reduce: number;
    public price_subtotal: number;
    public price_unit: number;
    public product_id: number;
    public product_tmpl_id: number;
    public product_uom: number;
    public product_uom_qty: number;
    public product_uos: number;
    public product_uos_qty: number;
    public salesman_id: number;
    public tax_id: number;

    constructor() {
        super();

        this.discount = 0;
        this.display_name = null;
        this.invoiced = false;
        this.invoice_lines = [];
        this.name = null;
        this.order_id = 0;
        this.order_partner_id = 0;
        this.price_reduce = 0;
        this.price_subtotal = 0;
        this.price_unit = 1;
        this.product_id = 0;
        this.product_tmpl_id = 0;
        this.product_uom = 0;
        this.product_uom_qty = 0;
        this.product_uos = 0;
        this.salesman_id = 0;
        this.tax_id = 0;
    }
}