import { BaseModel } from "./base.model";

export class SaleOrder extends BaseModel {

    public amount_tax: number;
    public amount_total: number;
    public amount_untaxed: number;
    public date_confirm: string;
    public date_order: string;
    public display_name: string;
    public invoiced: boolean;
    public invoiced_rate: number;
    public invoide_exist: boolean;
    public name: string;
    public order_line: Array<any>;
    public partner_id: number;
    public pricelist_id: number;
    public product_id: number;
    public state: number;
    public user_id: number;
    public warehouse_id: number;

    constructor() { 
        super();

        this.amount_tax = 0;
        this.amount_total = 0;
        this.amount_untaxed = 0;
        this.date_confirm = null;
        this.date_order = null;
        this.display_name = null;
        this.invoiced = false;
        this.invoiced_rate = 0;
        this.invoide_exist = false;
        this.name = null;
        this.order_line = [];
        this.partner_id = 0;
        this.product_id = 0;
        this.state = null;
        this.user_id = 0;
        this.warehouse_id = 0;
    }
}