import { Component } from '@angular/core';
import { NavController, Events } from 'ionic-angular';
import { Slots } from "../../utils/slots";
import { DataProvider } from "../../providers/data-provider";
import { SaleOrder } from "../../models/sale.order";


@Component({
    selector: 'page-budget-details',
    templateUrl: 'budget-details.html',
    providers: [ SaleOrder ]
})
export class BudgetDetailsPage {

    constructor(
        public navCtrl: NavController,
        public events: Events,
        public saleOrder: SaleOrder,
        public db: DataProvider
    ) { }
    
    /**
     *
     */
    ionViewDidLoad() {
        console.log('Hello BudgetDetailsPage Page');
    }

    save(): void {
        this.events.publish(Slots.ITEM_SAVED, this.saleOrder);
        this.navCtrl.pop(this);

        // this.db.save(DataProvider.DOCS.SALE_ORDER, this.saleOrder).then(saleOrder => { 
            
        //     this.navCtrl.pop(this);
        // }).catch(e => console.log(e));
    }
}
